package part1_test

import (
	"fmt"
	"strings"

	"source.toby3d.me/toby3d/adventofcode/internal/day8/part1"
)

func Example() {
	input := "RL\n" +
		"\n" +
		"AAA = (BBB, CCC)\n" +
		"BBB = (DDD, EEE)\n" +
		"CCC = (ZZZ, GGG)\n" +
		"DDD = (DDD, DDD)\n" +
		"EEE = (EEE, EEE)\n" +
		"GGG = (GGG, GGG)\n" +
		"ZZZ = (ZZZ, ZZZ)"

	fmt.Println(part1.ParseNetworkMap(strings.NewReader(input)).CountSteps())
	// Output: 2
}

func ExampleRepeat() {
	input := "LLR\n" +
		"\n" +
		"AAA = (BBB, BBB)\n" +
		"BBB = (AAA, ZZZ)\n" +
		"ZZZ = (ZZZ, ZZZ)"

	fmt.Println(part1.ParseNetworkMap(strings.NewReader(input)).CountSteps())
	// Output: 6
}
