package part2_test

import (
	"fmt"
	"strings"

	"source.toby3d.me/toby3d/adventofcode/internal/day8/part2"
)

func Example() {
	input := "LR\n" +
		"\n" +
		"11A = (11B, XXX)\n" +
		"11B = (XXX, 11Z)\n" +
		"11Z = (11B, XXX)\n" +
		"22A = (22B, XXX)\n" +
		"22B = (22C, 22C)\n" +
		"22C = (22Z, 22Z)\n" +
		"22Z = (22B, 22B)\n" +
		"XXX = (XXX, XXX)"

	fmt.Println(part2.ParseNetworkMap(strings.NewReader(input)).CountSteps())
	// Output: 6
}
