package part2_test

import (
	"fmt"
	"strings"

	"source.toby3d.me/toby3d/adventofcode/internal/day3/part2"
)

func Example() {
	input := "467..114..\n" +
		"...*......\n" +
		"..35..633.\n" +
		"......#...\n" +
		"617*......\n" +
		".....+.58.\n" +
		"..592.....\n" +
		"......755.\n" +
		"...$.*....\n" +
		".664.598.."

	engineMap := part2.ParseEngineMap(strings.NewReader(input))

	fmt.Println(engineMap.GetGearRatiosSum())
	// Output: 467835
}
