package part2_test

import (
	"fmt"
	"log"
	"strings"

	"source.toby3d.me/toby3d/adventofcode/internal/day6/part2"
)

func Example() {
	input := "Time:      7  15   30\n" +
		"Distance:  9  40  200"

	race, err := part2.ParseDocument(strings.NewReader(input))
	if err != nil {
		log.Fatalln(err)
	}

	fmt.Println(race.CountWinningStrategies())
	// Output: 71503
}
